% this is the old source for the man page
% process with pandoc -s -w man $^ -o $@
% CPPO(1) cppo User Manual
% Sylvain Le Gall
% December 4, 2010

# NAME

cppo - cpp for OCaml.

# SYNOPSIS

cppo [options] file\*

# DESCRIPTION

Cppo is an OCaml-friendly implementation of cpp, the C preprocessor.
It can replace camlp4 for preprocessing OCaml files, using cpp style and
syntax. It allows defining simple macros and file inclusion.

# OPTIONS

-D *DEF*
:   Equivalent of interpreting '#define DEF' before processing the
    input

-U *IDENT*
:   Equivalent of interpreting '#undef IDENT' before processing the
    input

-I `DIR`
:   Add directory DIR to the search path for included files

-o `FILE`
:   Output file

-q
:   Identify and preserve camlp4 quotations

-s
:   Output line directives pointing to the exact source location of
    each token, including those coming from the body of macro
    definitions. This behavior is off by default.

-n
:   Do not output any line directive other than those found in the
    input (overrides -s).

-version
:   Print the version of the program and exit.

-help|\--help
:   Display this list of options
